Inhalte
Index 🔎︎

# Funktion AscW [VBA]

Gibt den Unicodewert des ersten Zeichens eines Zeichenkettenausdrucks zurück.

Diese Funktion oder Konstante wird mit der Anweisung Option VBASupport 1 aktiviert, die in einem Modul vor dem ausführbaren Programmcode steht.

### Syntax:

    AscW (Text As String)

### Rückgabewert:

Integer

### Parameter:

Text: Ein beliebiger gültiger Zeichenkettenausdruck. Nur das erste Zeichen der Zeichenkette ist relevant.

Verwenden Sie die Funktion AscW, um Unicode-Zeichen durch Werte zu ersetzen. Stößt die Funktion AscW auf eine leere Zeichenkette, so meldet LibreOffice Basic einen Laufzeitfehler. Die zurückgegebenen Werte liegen zwischen 0 und 65535.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Sub ExampleAscW
     Print AscW("A") ' Liefert 65 zurück
     Print AscW("Ω") ' Liefert 937 zurück
     Print AscW("Αθήνα") ' Liefert 913 zurück, weil nur das erste Zeichen (Alpha) berücksichtigt wird
    End Sub

Verwandte Themen

Chr

ChrW

Asc